# Interface IPopulateOmniboxObject

The `IPopulateOmniboxObject` is an interface that is used by components to interact with the Omnibox and provides a framework for type-ahead suggestions.

## Index

### Methods

- clear
- clearCurrentExpression
- closeOmnibox
- insertAt
- replace
- replaceCurrentExpression

### Properties

- allQueryExpressions
- completeQueryExpression
- currentQueryExpression
- cursorPosition

## Methods

### clear

- clear(): void

- - Defined in ui/Omnibox/OmniboxInterface.ts :24

  Clears the content of the Omnibox Component.

  #### Returns void

### clearCurrentExpression

- clearCurrentExpression(): void

- - Defined in ui/Omnibox/OmniboxInterface.ts :28

  Clears the current expression (current cursor position in the Omnibox).

  #### Returns void

### closeOmnibox

- closeOmnibox(): void

- - Defined in ui/Omnibox/OmniboxInterface.ts :49

  Closes the Omnibox.

  #### Returns void

### insertAt

- insertAt(at: number, toInsert: string): void

- - Defined in ui/Omnibox/OmniboxInterface.ts :45

  Inserts new content in the omnibox at the specified position.

  #### Parameters

  - ##### at: number

  - ##### toInsert: string

  #### Returns void

### replace

- replace(searchValue: string, newValue: string): void

- - Defined in ui/Omnibox/OmniboxInterface.ts :34

  Replaces the specified `searchValue` by the `newValue` in the Omnibox.

  #### Parameters

  - ##### searchValue: string

  - ##### newValue: string

  #### Returns void

### replaceCurrentExpression

- replaceCurrentExpression(newValue: string): void

- - Defined in ui/Omnibox/OmniboxInterface.ts :39

  Replaces the current expression in the `QueryBox` (the current cursor position in the omnibox) by the `newValue`.

  #### Parameters

  - ##### newValue: string

  #### Returns void

## Properties

### allQueryExpressions

allQueryExpressions: IPopulateOmniboxQueryExpression[]

- Defined in ui/Omnibox/OmniboxInterface.ts :16

An array IPopulateOmniboxQueryExpression used to describe each part of the content of the Omnibox component.

### completeQueryExpression

completeQueryExpression: IPopulateOmniboxQueryExpression

- Defined in ui/Omnibox/OmniboxInterface.ts :8

A IPopulateOmniboxQueryExpression object used to describe the complete content of the Querybox component.

### currentQueryExpression

currentQueryExpression: IPopulateOmniboxQueryExpression

- Defined in ui/Omnibox/OmniboxInterface.ts :12

A IPopulateOmniboxQueryExpression object used to describe the current active content (the current position of the cursor/caret) of the Omnibox component.

### cursorPosition

cursorPosition: number

- Defined in ui/Omnibox/OmniboxInterface.ts :20

The number representing the current position of the cursor/caret inside the Omnibox component.

### Hierarchy

- IPopulateOmniboxObject